### Damnation Configuration File ## #

# NOTE: In almost all cases, you should not modify this file when making
# changes to your configuration. Instead, create a ~/.config/damnation
# directory and create your own damnation.cfg there. You can override any
# settings from this file there.


[general]
## General Options ##

# Sets the size of the 'glow' filter used on the ship's engines.
# Possible values: "small", "medium", "large", or "off"
# Turn off if you are are experiencing performance problems.
#glowFilterSize = small
glowFilterSize = off

# Camera position
#  3rd person
#cameraPos = 0, -30, 10.3
#  1st person
cameraPos = 0, 0, 8.2


## Graphics Options ##

# Set whether to start the game in fullscreen mode.
startFullscreen = False

# Set the resolution used for windowed display.
windowedResolution = 1024x768

# Set the resolution used for fullscreen display.
fullscreenResolution = 1280x1024

# Set the texture minification filter.
textureMinFilter = FTLinearMipmapLinear

# Set the texture magnification filter.
textureMagFilter = FTLinear

# Use anisotropic texture filtering. (set to 1 to disable)
anisotropicDegree = 4


## Debugging Options ##

# Display the current framerate in the HUD.
showFPSMeter = True

# Show all axis and button states in the HUD.
#showJoystickDebug = True

# Enable Panda3D's PStats performance-monitoring system.
#enablePStats = True

# The level to load initially as a server or standalone game.
#masterBaseLevel = Levels/level.egg
masterBaseLevel = Levels/streetscene.bam

# The level to load initially as a network client.
#clientBaseLevel = Levels/level.egg
clientBaseLevel = Levels/streetscene.bam

# The number of seconds between GUI element updates.
gui_update_interval = 0.1

# Enable collider visualization.
#debugColliders = True


## Physics Options ##
# How often to run the physics simulation, in seconds.
physicsStepSize = 0.01

gravity = 0, 0, -98


## Client ##
# The server to connect to by default.
# This is overridden by the '-c' command-line option.
#server = 127.0.0.1

# The port to connect to.
#port = 2695


## Server ##
# Comment out the Client settings and uncomment listenPort to run as a server.

# The port to listen onssss
#listenPort = 2695

# Run as a dedicated (headless) server.
#dedicated = True


## Standalone ##
# Just comment out both the Client and Server options to run as a standalone game.
playerEntityFile = Entities/Characters/Irina.egg



[input devices]
## Input Device Configurations ##
# Each devicecan have its own configuration here. The configuration is loaded
# based on the name on the left side of the '='; to determine what name should
# be used for your controller, simply run the game without configuring it, and
# exit immediately. Damnation will display the name of your input device in
# the console. Also, the special name 'keyboard' is used for the keyboard.
# TODO: Mice need to be configurable!

keyboard = Config/Keyboard/standard.cfg
mouse 0 = Config/Mouse/standard.cfg
mouse 1 = Config/Mouse/standard.cfg
mouse 2 = Config/Mouse/standard.cfg
mouse 3 = Config/Mouse/standard.cfg
SAITEK Saitek ST290 Pro = Config/Joystick/Saitek_ST290_Pro.cfg
Saitek ST290 Pro = Config/Joystick/Saitek_ST290_Pro.cfg
Microsoft X-Box pad v1 (US) = Config/Joystick/Xbox_v1.cfg
Jess Tech USB 4-Axis 12-Button Gamepad = Config/Joystick/JessTech_USB_4a12b.cfg
Logitech WingMan Force = Config/Joystick/LogitechWingManForce.cfg
Logitech Attack 3 = Config/Joystick/LogitechAttack3.cfg
THRUSTMASTER Top Gun Afterburner = Config/Joystick/ThrustmasterTopGunAfterburner.cfg
XBOX 360 For Windows (Controller) = Config/Joystick/Xbox_360.cfg
